package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.LibraryDetail;
import com.diagbot.entity.LibraryInfo;
import com.diagbot.service.impl.LibraryDetailServiceImpl;
import com.diagbot.vo.AmendTermVo;
import com.diagbot.vo.TermVo;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @Description: 术语基本信息查询业务层
 * @author: Weixuan Huang
 * @time: 2019/1/16 14:17
 */
@Component
public class LibraryDetailFacade extends LibraryDetailServiceImpl {

    /**
     * 获取医学术语知识
     *
     * @param termVo
     * @result LibraryDetail
     */
    public List<LibraryDetail> getLibraryDetails(TermVo termVo) {
        QueryWrapper<LibraryDetail> wrapper = new QueryWrapper();
        wrapper.eq("concept_id", termVo.getConcept_id());
        List<LibraryDetail> librarydetail = this.list(wrapper);
        return librarydetail;
    }

    /**
     * 更新或添加医学术语基本信息
     *
     * @param amendTermVo
     * @return
     */
    public void upsertLibraryInfo(AmendTermVo amendTermVo) {

        if (amendTermVo.getInformation() != null && amendTermVo.getInformation().size() > 0) {
            for (int i=0; i<amendTermVo.getInformation().size(); i++) {
                if (amendTermVo.getInformation().get(i).getId() > 0) {
                    this.saveOrUpdate(amendTermVo.getInformation().get(i));
                }
            }
        }
    }
}
